/* Headers
 */


/* header
 * ======
 */
h1 {
  text-decoration: underline;
}


/* header
 * ------
 */
h2 {
  font-size: 125%;
  text-decoration: underline dotted;
}


/* header
 * ^^^^^^
 */
h3 {
  font-size: 100%;
}


/* :em:
 * emphasis
 */
.em-emphasis {
  color: royalblue;
  font-weight: 700;
}


/* :hi:
 * highlighted emphasis
 * blue on yellow highlight
 */
.hi-emphasis {
  color: royalblue;
  background-color:  #FFE135;
  font-weight: 700;
}


/* :file:
 * blue text in pre block
 */
.rst-content code.file {
  color: royalblue;
  font-size: 85%
}
.rst-content code.file::before {
  /* emoji + invisible nbsp (figure space)
   * https://emojipedia.org/page-facing-up
   */
  content: "📄 ";
  font-size: 85%
}


/* :cmd:
 * blue underlined text
 */
span.cmd {
  color: royalblue;
  font-weight: 700;
  text-decoration: underline dotted;
}
span.cmd::before {
  /* emoji + invisible nbsp (figure space)
   * https://emojipedia.org/keyboard
   */
  content: "⌨️ ";
  font-size: 85%
}


/* :docker:
 * blue underlined text
 */
span.docker {
  color: royalblue;
  font-weight: 700;
  text-decoration: underline dotted;
}
span.docker::before {
  /* emoji + invisible nbsp (figure space)
   * https://emojipedia.org/spouting-whale
   */
  content: "🐳 ";
  font-size: 85%
}


/* :mailto:
 * blue underlined text
 */
span.mailto {
  color: royalblue;
  font-weight: 700;
  text-decoration: underline dotted;
}
span.mailto::before {
  /* emoji + invisible nbsp (figure space)
   * https://emojipedia.org/envelope
   */
  content: "✉️ ";
  font-size: 85%
}


/* :server:
 * blue underlined text
 */
span.server {
  color: royalblue;
  font-weight: 700;
  text-decoration: underline dotted;
}
span.server::before {
  /* emoji + invisible nbsp (figure space)
   * https://emojipedia.org/desktop-computer
   */
  content: "🖥️ ";
  font-size: 85%
}


/* :user:
 * blue underlined text
 */
span.user {
  color: royalblue;
  font-weight: 700;
  text-decoration: underline dotted;
}
span.user::before {
  /* emoji + invisible nbsp (figure space)
   * https://emojipedia.org/bust-in-silhouette
   */
  content: "👤 ";
  font-size: 85%
}


/* :ev:
 * envvar, environment variable
 * purple
 */
.envvar,
.std-envvar .pre {
  color: rebeccapurple;
  font-weight: 700;
}


/* :param:
 * dark grey
 */
.param,
.std-param .pre {
  color: #404040;
  font-weight: 700;
  font-style: italic;
}


/* :url:
 * blue
 */
.url,
.std-url .pre {
  color: #2980b9;
  font-weight: 700;
}


/* todo list:
 * change to a clipboard emoji
 */
.rst-content .admonition-title::before {
  content: "📋" !important;
}
